> ## Documentation Index
> Fetch the complete documentation index at: https://docs.layerswap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post Quote

> Quotes a swap from JSON. Optional integrator_fee_splits add an undiscounted fee on the accepted input, capped at 2000 bps in total. Recipients must be nonzero Base EVM addresses. Optional fee_sponsorship_percentage (0–100) sponsors that percentage of fees; integrator fees are not sponsored.



## OpenAPI

````yaml https://api.layerswap.io/swagger/v2/swagger.json post /api/v2/quote
openapi: 3.0.1
info:
  title: Layerswap API V2
  version: v2
servers:
  - url: https://api.layerswap.io
    description: Mainnet
security:
  - X-LS-APIKEY: []
paths:
  /api/v2/quote:
    post:
      tags:
        - Swaps
      summary: Post Quote
      description: >-
        Quotes a swap from JSON. Optional integrator_fee_splits add an
        undiscounted fee on the accepted input, capped at 2000 bps in total.
        Recipients must be nonzero Base EVM addresses. Optional
        fee_sponsorship_percentage (0–100) sponsors that percentage of fees;
        integrator fees are not sponsored.
      parameters:
        - name: X-LS-APIKEY
          in: header
          schema:
            type: string
            default: >-
              NDBxG+aon6WlbgIA2LfwmcbLU52qUL9qTnztTuTRPNSohf/VnxXpRaJlA5uLSQVqP8YGIiy/0mz+mMeZhLY4/Q
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PostQuoteRequest'
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponseSwapQuoteResponse'
components:
  schemas:
    PostQuoteRequest:
      type: object
      properties:
        source_network:
          type: string
        source_token:
          type: string
        destination_network:
          type: string
        destination_token:
          type: string
        source_address:
          type: string
          nullable: true
        destination_address:
          type: string
          nullable: true
        use_deposit_address:
          type: boolean
        use_gasless:
          type: boolean
        use_frontend_swap:
          type: boolean
        refuel:
          type: boolean
        fee_sponsorship_percentage:
          type: integer
          format: int32
        integrator_fee_splits:
          type: array
          items:
            $ref: '#/components/schemas/IntegratorFeeSplit'
          nullable: true
        amount:
          type: number
          format: double
          nullable: true
        slippage:
          type: string
          nullable: true
      additionalProperties: false
    ApiResponseSwapQuoteResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ApiError'
        data:
          $ref: '#/components/schemas/SwapQuoteResponse'
      additionalProperties: false
    IntegratorFeeSplit:
      type: object
      properties:
        recipient:
          type: string
        bps:
          type: integer
          format: int32
      additionalProperties: false
    ApiError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
        metadata:
          type: object
          additionalProperties: {}
      additionalProperties: false
    SwapQuoteResponse:
      type: object
      properties:
        quote:
          $ref: '#/components/schemas/SwapQuoteModel'
        refuel:
          $ref: '#/components/schemas/TokenWithAmountModel'
        reward:
          $ref: '#/components/schemas/RewardModel'
      additionalProperties: false
    SwapQuoteModel:
      type: object
      properties:
        total_fee:
          type: number
          format: double
        total_fee_in_usd:
          type: number
          format: double
        integrator_fee_bps:
          type: integer
          format: int32
        integrator_fee:
          type: number
          format: double
        integrator_fee_splits:
          type: array
          items:
            $ref: '#/components/schemas/IntegratorFeeSplit'
          nullable: true
        fee_sponsorship_percentage:
          type: integer
          format: int32
        source_network:
          $ref: '#/components/schemas/NetworkModel'
        source_token:
          $ref: '#/components/schemas/TokenModel'
        destination_network:
          $ref: '#/components/schemas/NetworkModel'
        destination_token:
          $ref: '#/components/schemas/TokenModel'
        requested_amount:
          type: number
          format: double
        receive_amount:
          type: number
          format: double
        fee_discount:
          type: number
          format: double
        min_receive_amount:
          type: number
          format: double
        blockchain_fee:
          type: number
          format: double
        service_fee:
          type: number
          format: double
        avg_completion_time:
          type: string
        refuel_in_source:
          type: number
          format: double
          nullable: true
        slippage:
          type: number
          format: double
        rate:
          type: number
          format: double
        path:
          type: array
          items:
            $ref: '#/components/schemas/QuotePathModel'
      additionalProperties: false
    TokenWithAmountModel:
      type: object
      properties:
        token:
          $ref: '#/components/schemas/TokenModel'
        network:
          $ref: '#/components/schemas/NetworkModel'
        amount:
          type: number
          format: double
        amount_in_usd:
          type: number
          format: double
      additionalProperties: false
    RewardModel:
      type: object
      properties:
        token:
          $ref: '#/components/schemas/TokenModel'
        network:
          $ref: '#/components/schemas/NetworkModel'
        amount:
          type: number
          format: double
        amount_in_usd:
          type: number
          format: double
        campaign_type:
          type: string
        nft_contract_address:
          type: string
          nullable: true
      additionalProperties: false
    NetworkModel:
      type: object
      properties:
        name:
          type: string
        display_name:
          type: string
        logo:
          type: string
        chain_id:
          type: string
          nullable: true
        node_url:
          type: string
          nullable: true
        nodes:
          type: array
          items:
            type: string
          nullable: true
        type:
          $ref: '#/components/schemas/NetworkType'
        transaction_explorer_template:
          type: string
        account_explorer_template:
          type: string
        source_rank:
          type: integer
          format: int32
        destination_rank:
          type: integer
          format: int32
        token:
          $ref: '#/components/schemas/TokenModel'
        metadata:
          $ref: '#/components/schemas/NetworkMetadata'
        deposit_methods:
          type: array
          items:
            type: string
          nullable: true
      additionalProperties: false
    TokenModel:
      type: object
      properties:
        symbol:
          type: string
        display_asset:
          type: string
        asset:
          type: string
        logo:
          type: string
        contract:
          type: string
          nullable: true
        decimals:
          type: integer
          format: int32
        price_in_usd:
          type: number
          format: double
        precision:
          type: number
          format: double
        listing_date:
          type: string
          format: date-time
        source_rank:
          type: integer
          format: int32
        destination_rank:
          type: integer
          format: int32
        group:
          type: string
          nullable: true
        supports_gasless_deposit:
          type: boolean
        gasless_standard:
          type: string
      additionalProperties: false
    QuotePathModel:
      type: object
      properties:
        provider:
          type: string
        order:
          type: integer
          format: int32
      additionalProperties: false
    NetworkType:
      enum:
        - evm
        - starknet
        - solana
        - cosmos
        - starkex
        - zksynclite
        - ton
        - paradex
        - tron
        - fuel
        - bitcoin
        - hyperliquid
        - stellar
      type: string
    NetworkMetadata:
      type: object
      properties:
        listing_date:
          type: string
          format: date-time
        evm_oracle_contract:
          type: string
          nullable: true
        evm_multicall_contract:
          type: string
          nullable: true
        evm_balance_viewer_contract:
          type: string
          nullable: true
        zks_paymaster_contract:
          type: string
          nullable: true
        watchdog_contract:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    X-LS-APIKEY:
      type: apiKey
      name: X-LS-APIKEY
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.